/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;
import java.net.*;
import java.nio.channels.*;

public class PlayerServer extends Thread {
	public void run() {
		ServerSocketChannel server = null;

		try {
			server = ServerSocketChannel.open();
			server.socket().bind( new InetSocketAddress( Integer.parseInt( CheeseProxy.props.getProperty( "player_port" ) ) ) );
			CheeseLab.dmesg( 1, "Accepting connections for players" );
		}catch( Exception e  ) {
			return;
		}
		
		while( true ) {
			try {
				PlayerThread  pt = new PlayerThread( server.accept() );
				pt.start();
			}catch( Exception e ) {
				e.printStackTrace();
				System.exit( 1 );
			}
		}	
	}

}
